Message: Re: Question on installation Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Note Re: Question on installation 

Forum: Installation and Configuration
Re: Question Question on installation (Evgenya)
Date: 06 Apr, 2010
From: Ben Morgan <Ben Morgan>

On Fri, 02 Apr 2010 10:35:08 GMT, Evgenya wrote:
> Good afternoon! Prompt please, how to install geant4 on the operating
> system AIX 5.2 compiler with xlc? Where should i start?

AIX is no longer tested or supported (see the Release Notes). However, the Configure/Makefile system will recognize AIX, so I would just give the installation a go and see what happens. The instructions here:

  • http://geant4.slac.stanford.edu/tutorial/installation/Geant4.9.3/Linux/Geant4_9_3_Linux_Installation.htm

for Linux should be relevant for AIX. The file config/sys/AIX-xlC.gmk, which exists as legacy code, contains all the compiler flags and other system settings for AIX/xlC, but is likely to be a bit dated. If you experience problems, then altering the settings in this file may help.

However, as above, please note that Geant4 no longer test or support AIX/xlC, so I'm afraid you are somewhat on your own here.

Cheers,

Ben.

 Add Message Add Message
to: "Re: Question on installation"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]